aboutsummaryrefslogtreecommitdiffstats
path: root/net-snmp
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /net-snmp
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
downloadopenembedded-f96441b9faf769c9ecdd4d338b605ea3d0cc4010.tar.gz
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'net-snmp')
-rw-r--r--net-snmp/files/init63
1 files changed, 63 insertions, 0 deletions
diff --git a/net-snmp/files/init b/net-snmp/files/init
index e69de29bb2..434b2fa3f2 100644
--- a/net-snmp/files/init
+++ b/net-snmp/files/init
@@ -0,0 +1,63 @@
+#! /bin/sh
+# /etc/init.d/snmpd: start snmp daemon.
+
+test -x /usr/sbin/snmpd || exit 0
+test -x /usr/sbin/snmptrapd || exit 0
+
+# Defaults
+export MIBDIRS=/usr/share/snmp/mibs
+SNMPDRUN=yes
+SNMPDOPTS='-Lsd -Lf /dev/null -p /var/run/snmpd.pid'
+TRAPDRUN=no
+TRAPDOPTS='-Lsd -p /var/run/snmptrapd.pid'
+
+# Cd to / before starting any daemons.
+cd /
+
+case "$1" in
+ start)
+ echo -n "Starting network management services:"
+ if [ "$SNMPDRUN" = "yes" -a -f /etc/snmp/snmpd.conf ]; then
+ start-stop-daemon -S -x /usr/sbin/snmpd \
+ -- $SNMPDOPTS
+ echo -n " snmpd"
+ fi
+ if [ "$TRAPDRUN" = "yes" -a -f /etc/snmp/snmptrapd.conf ]; then
+ start-stop-daemon -S -x /usr/sbin/snmptrapd \
+ -- $TRAPDOPTS
+ echo -n " snmptrapd"
+ fi
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping network management services:"
+ start-stop-daemon -K -x /usr/sbin/snmpd
+ echo -n " snmpd"
+ start-stop-daemon -K -x /usr/sbin/snmptrapd
+ echo -n " snmptrapd"
+ echo "."
+ ;;
+ restart|reload|force-reload)
+ echo -n "Restarting network management services:"
+ start-stop-daemon -K -x /usr/sbin/snmpd
+ start-stop-daemon -K -x /usr/sbin/snmptrapd
+ # Allow the daemons time to exit completely.
+ sleep 2
+ if [ "$SNMPDRUN" = "yes" -a -f /etc/snmp/snmpd.conf ]; then
+ start-stop-daemon -S -x /usr/sbin/snmpd -- $SNMPDOPTS
+ echo -n " snmpd"
+ fi
+ if [ "$TRAPDRUN" = "yes" -a -f /etc/snmp/snmptrapd.conf ]; then
+ # Allow snmpd time to start up.
+ sleep 1
+ start-stop-daemon -S -x /usr/sbin/snmptrapd -- $TRAPDOPTS
+ echo -n " snmptrapd"
+ fi
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/snmpd {start|stop|restart|reload|force-reload}"
+ exit 1
+esac
+
+exit 0